Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QAccessible.Method

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QAccessible.Method

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QAccessible

    public static final class QAccessible.Method

extends java.lang.Enum
implements QtEnumerator

Information about one method. This struct represents one method discovered through introspection. A method is composed of its `name`, its input arguments, its output arguments, and, optionally, annotations. There are no "in-out" arguments.

See Also:
  Serialized Form

Field Summary
`static QAccessible.Method` | `BackgroundColor`
`static QAccessible.Method` | `ForegroundColor`
`static QAccessible.Method` | `GetCursorPosition`
`static QAccessible.Method` | `ListSupportedMethods`
`static QAccessible.Method` | `SetCursorPosition`

Method Summary
`static QAccessible.Method` | `resolve(int value)` Returns the Method constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QAccessible.Method` | `valueOf(java.lang.String name)`
`static QAccessible.Method[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### ListSupportedMethods

    public static final QAccessible.Method ListSupportedMethods

### SetCursorPosition

    public static final QAccessible.Method SetCursorPosition

### GetCursorPosition

    public static final QAccessible.Method GetCursorPosition

### ForegroundColor

    public static final QAccessible.Method ForegroundColor

### BackgroundColor

    public static final QAccessible.Method BackgroundColor

Method Detail

### values

    public static QAccessible.Method[] values()

### valueOf

    public static QAccessible.Method valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QAccessible.Method resolve(int value)

  Returns the Method constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD